## org.eclipse.datatools.enablement.sybase.ase.ui.drivers
Class ASEDriverUIContributorBase

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ase.ui.drivers.ASEDriverUIContributorBase

All Implemented Interfaces:
  java.util.EventListener, IDriverUIContributor, org.eclipse.swt.events.ModifyListener, org.eclipse.swt.internal.SWTEventListener, org.eclipse.swt.widgets.Listener

    public class ASEDriverUIContributorBase

extends java.lang.Object
implements IDriverUIContributor, org.eclipse.swt.widgets.Listener, org.eclipse.swt.events.ModifyListener

Constructor Summary
`ASEDriverUIContributorBase()`

Method Summary
`boolean` `determineContributorCompletion()`
`org.eclipse.swt.widgets.Composite` `getContributedDriverUI(org.eclipse.swt.widgets.Composite parent, boolean isReadOnly)`
`java.util.List` `getSummaryData()`
`java.lang.String` `getURL()`
`void` `handleEvent(org.eclipse.swt.widgets.Event event)`
`void` `loadProperties()`
`void` `modifyText(org.eclipse.swt.events.ModifyEvent e)`
`void` `setConnectionInformation()`
`void` `setDialogPage(org.eclipse.jface.dialogs.DialogPage parentPage)`
`void` `setDriverUIContributorInformation(IDriverUIContributorInformation contributorInformation)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASEDriverUIContributorBase

    public ASEDriverUIContributorBase()

Method Detail

### determineContributorCompletion

    public boolean determineContributorCompletion()

  Specified by:
    `determineContributorCompletion` in interface `IDriverUIContributor`

### getContributedDriverUI

    public org.eclipse.swt.widgets.Composite getContributedDriverUI(org.eclipse.swt.widgets.Composite parent,
                                                                    boolean isReadOnly)

  Specified by:
    `getContributedDriverUI` in interface `IDriverUIContributor`

### modifyText

    public void modifyText(org.eclipse.swt.events.ModifyEvent e)

  Specified by:
    `modifyText` in interface `org.eclipse.swt.events.ModifyListener`

### handleEvent

    public void handleEvent(org.eclipse.swt.widgets.Event event)

  Specified by:
    `handleEvent` in interface `org.eclipse.swt.widgets.Listener`

### setConnectionInformation

    public void setConnectionInformation()

### getSummaryData

    public java.util.List getSummaryData()

  Specified by:
    `getSummaryData` in interface `IDriverUIContributor`

### loadProperties

    public void loadProperties()

  Specified by:
    `loadProperties` in interface `IDriverUIContributor`

### setDialogPage

    public void setDialogPage(org.eclipse.jface.dialogs.DialogPage parentPage)

  Specified by:
    `setDialogPage` in interface `IDriverUIContributor`

### setDriverUIContributorInformation

    public void setDriverUIContributorInformation(IDriverUIContributorInformation contributorInformation)

  Specified by:
    `setDriverUIContributorInformation` in interface `IDriverUIContributor`

### getURL

    public java.lang.String getURL()